[B062]Extract Single Patent Sequence

post
https://connect.patsnap.com/bio-openapi/patent/extract/single
Try in Sandbox

Extract all sequences from a single patent and provide the total count, sequence numbers, sequence codes, and sequence details. Present the information in a paginated format.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
extract_type
Required
stringEXTRACT_ALL
Extract Type(EXTRACT_ALL、EXTRACT_RANGE、EXTRACT_NUM、EXTRACT_MANUAL)
page
Required
integer<int32>1
Current page number, start from 1
patent_id
stringd10f8044-d3b9-4b53-b27f-b0f4fe9092cd
Patent ID
patent_number
stringWO2004050828A2
Patent publication number. One of patent_number、patent_id must be filled in, and if they are filled in at the same time, patent_id shall prevail, followed by patent_number
sequence_length
object{ "end": 200, "start": 50 }
Sequence Length Range
end
integer<int32>100
End value
start
integer<int32>-
Start value
sequence_no_range
Required
string1-10
SEQ ID range(Example:1-10,23,24)
sequence_type
stringPROTEIN
Sequence Type, PROTEIN or NUCLEOTIDE
size
Required
integer<int32>10
Current page result size, support maximum 100

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
total
integer<int32>1000
Query Results Count
results
arrayPlease check the form: OpenApiExtractHit
Query Results
s_len
integer<int32>123
Subject sequence length
seq_id
string834879
Sequence ID
location
object{ "APP": [ "5" ], "FIG": [ "1A" ], "PAGE": [ "55/56" ], "ANNEX": [ "2" ], "TABLE": [ "A-1" ], "EXAMPLE": [ "8" ] }
Sequence location in patent
s_sequence
stringMQPDLHSRALAAHTLHQFRTLSPLTHCMTNEVVQSFTANTLLALGASPAMVIEPEEASQFAAIASALLVNVGTLTQERATAMRAAVERAYHAKTPWTLDPVAVGALEFRRRFCLDLLSLQPAA
Subject sequence
sequence_type
stringPROTEIN
Sequence Type, PROTEIN or NUCLEOTIDE
sequence_id_number
array[ "1" ]
Sequence ID number in patent
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "total": 1000,
    "results": [
      {
        "s_len": 123,
        "seq_id": 834879,
        "location": {
          "APP": [
            "5"
          ],
          "FIG": [
            "1A"
          ],
          "PAGE": [
            "55/56"
          ],
          "ANNEX": [
            "2"
          ],
          "TABLE": [
            "A-1"
          ],
          "EXAMPLE": [
            "8"
          ]
        },
        "s_sequence": "MQPDLHSRALAAHTLHQFRTLSPLTHCMTNEVVQSFTANTLLALGASPAMVIEPEEASQFAAIASALLVNVGTLTQERATAMRAAVERAYHAKTPWTLDPVAVGALEFRRRFCLDLLSLQPAA",
        "sequence_type": "PROTEIN",
        "sequence_id_number": [
          "1"
        ]
      }
    ]
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200001API call exceeds the total limit set by the platform!
67200002Quota exceeds the limit!
67200003Access token expired or authentication error!
67200004No permission or API package quota has exceeded the limit!
67200005Insufficient balance, call failed!
67200006This client has expired and call failed!
67200007Exceeded the call limit, call failed!
67200008apiKey not Pass and call failed.
67200009apiKey not match Token and call failed.

HTTP Status Codes

Status CodeDescription
0Success
201Created
401Unauthorized
403Forbidden
404Not Found
53000001Invalid parameter.
53000003Server internal exception.

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms